commit:     0c2b179e86b3c0bd9d44e9dd9f14157d006568a0
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 18:20:41 2025 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 20:43:06 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c2b179e

x11-misc/xkeyboard-config: Version bump to 2.44

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-misc/xkeyboard-config/Manifest                 |  1 +
 .../xkeyboard-config/xkeyboard-config-2.44.ebuild  | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/x11-misc/xkeyboard-config/Manifest 
b/x11-misc/xkeyboard-config/Manifest
index bb20b6e18e13..dab55d564e60 100644
--- a/x11-misc/xkeyboard-config/Manifest
+++ b/x11-misc/xkeyboard-config/Manifest
@@ -1 +1,2 @@
 DIST xkeyboard-config-2.43.tar.xz 925424 BLAKE2B 
89cf4872305ce3358185ed63f0ff2f0dc90205d50d51b4b881256e0762b12a74f30d0905a75e5feff2f0fef09d94bee778a8cbe83cdf6e048653e8eb42f53087
 SHA512 
6daf885bf8794cf03d5b447b90ca1666f87e9c609a344e02bb90edca360eb64b24f80a92ed570aa75b4ea62245b3998f6df3757f7e02c4015cdfecee5378a0d4
+DIST xkeyboard-config-2.44.tar.xz 906060 BLAKE2B 
6abb485ef5c9cb1292afaed22ac72026dc22c0a08c3bf04ca29f8dd61d68cbf06e511fe095628a0ab6dec7766374318c4b5bddeb2c4da8a8a692bbbbf4b4e83b
 SHA512 
1bd6c594c132d262863e9911cfe4e70936c82a87c118b302d032cc900767653abd6db3ee5bc8220dafa8cf65aba15e3ceae9cbd88c318dd404d3c432c8ed9c00

diff --git a/x11-misc/xkeyboard-config/xkeyboard-config-2.44.ebuild 
b/x11-misc/xkeyboard-config/xkeyboard-config-2.44.ebuild
new file mode 100644
index 000000000000..4ebef64ae30a
--- /dev/null
+++ b/x11-misc/xkeyboard-config/xkeyboard-config-2.44.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+inherit meson python-any-r1
+
+DESCRIPTION="X keyboard configuration database"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/XKeyboardConfig/ 
https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config";
+
+if [[ ${PV} == 9999 ]]; then
+       
EGIT_REPO_URI="https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config.git";
+       inherit git-r3
+else
+       SRC_URI="https://www.x.org/releases/individual/data/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-lang/perl
+       dev-libs/libxslt
+       sys-devel/gettext
+       ${PYTHON_DEPS}
+       test? (
+               x11-apps/xkbcomp
+               x11-libs/libxkbcommon
+               $(python_gen_any_dep '
+                       dev-python/pycountry[${PYTHON_USEDEP}]
+                       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}]
+               ')
+       )
+"
+
+python_check_deps() {
+       use test || return 0
+       python_has_version \
+               "dev-python/pycountry[${PYTHON_USEDEP}]" \
+               "dev-python/pytest-xdist[${PYTHON_USEDEP}]" \
+               "dev-python/pytest[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       eapply_user
+
+       # Remove pytest timeout
+       sed -i -e "/test('pytest'/,/)$/ { s/timeout: [0-9]*/timeout: 0/ }" 
meson.build || die
+}
+
+src_configure() {
+       local emesonargs=(
+               -Dxkb-base="${EPREFIX}/usr/share/X11/xkb"
+               -Dcompat-rules=true
+       )
+       meson_src_configure
+}

Reply via email to